<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class Registro0990 extends Registro0000 {

    private $_qtdlinhas = 4; /*Quantidade total de linhas do Bloco 0. A quantidade total de linhas do bloco 0 deverá levar em consideração todos os registros entre o primeiro 0000 e o 0990.
                               Inicia com 4 linhas referente aos registros fixos 0001, 0050, 0100 e 0990.*/

    public function geraRegistro0990(){
        $this->_geraRegistro(self::REGISTRO_0990);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_qtdlinhas, true);
    }
    
    public function setQtdLinhas($qtdlinhas){
        $this->_qtdlinhas += $qtdlinhas;
    }
}